> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Catalog Resources



## OpenAPI

````yaml post /v1/catalog/export
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/catalog/export:
    post:
      tags:
        - Catalog Management
      summary: Export Catalog Resources
      operationId: Export_Catalog_resources_v1_catalog_export_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CatalogExportRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogExport'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CatalogExportRequest:
      properties:
        resource_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CatalogResourceType'
              type: array
            - type: 'null'
          title: Resource Types
        filters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filters
      type: object
      title: CatalogExportRequest
    CatalogExport:
      properties:
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        assistants:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/CustomAssistantOut'
                  - $ref: '#/components/schemas/WatsonAssistantOut'
              type: array
            - type: 'null'
          title: Assistants
        models:
          anyOf:
            - items:
                $ref: '#/components/schemas/ModelOut'
              type: array
            - type: 'null'
          title: Models
        document_collections:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocumentCollection'
              type: array
            - type: 'null'
          title: Document Collections
        vector_indices:
          anyOf:
            - items:
                $ref: '#/components/schemas/VectorIndex'
              type: array
            - type: 'null'
          title: Vector Indices
      type: object
      required:
        - metadata
      title: CatalogExport
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CatalogResourceType:
      type: string
      enum:
        - __all__
        - assistant
        - model
        - document_collection
        - document
        - vector_index
      title: CatalogResourceType
    CustomAssistantOut:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        type:
          type: string
          title: Type
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        user_start_messages:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: User Start Messages
        llm_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Name
        llm_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Llm Id
        context_access_enabled:
          type: boolean
          title: Context Access Enabled
          description: Enable access to context variables for this agent
          default: true
        context_variables:
          items:
            type: string
          type: array
          title: Context Variables
          description: List of context variable names that this agent can access
          default: []
      type: object
      required:
        - type
      title: CustomAssistantOut
    WatsonAssistantOut:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        type:
          type: string
          title: Type
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Key
        service_instance_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Instance Url
        assistant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistant Id
        environment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Environment Id
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
          default: '2023-06-15'
        auth_type:
          anyOf:
            - $ref: '#/components/schemas/WatsonAssistantAuthType'
            - type: 'null'
        authorization_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization Url
        crn:
          anyOf:
            - type: string
            - type: 'null'
          title: Crn
        intent:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent
        action_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Action Title
        search_stickiness:
          type: boolean
          title: Search Stickiness
          default: false
        shareable_context:
          type: boolean
          title: Shareable Context
          default: true
        hidden:
          type: boolean
          title: Hidden
          default: false
        message_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Message Context
        connection_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Id
        context_access_enabled:
          type: boolean
          title: Context Access Enabled
          description: Enable access to context variables for this agent
          default: true
        context_variables:
          items:
            type: string
          type: array
          title: Context Variables
          description: List of context variable names that this agent can access
          default: []
      type: object
      required:
        - type
      title: WatsonAssistantOut
    ModelOut:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        model_type:
          $ref: '#/components/schemas/wo_archer__schema__models__ModelType'
          default: chat
        model_name:
          type: string
          title: Model Name
        api_base:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Base
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
        deployment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/ModelProvider'
            - type: 'null'
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        provider_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provider Config
        connection_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Id
      type: object
      required:
        - model_name
      title: ModelOut
    DocumentCollection:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: DocumentCollection
    VectorIndex:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        created_by_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Username
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        name:
          type: string
          title: Name
        embeddings_model_name:
          type: string
          title: Embeddings Model Name
        chunk_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chunk Size
          default: 400
        chunk_overlap:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chunk Overlap
          default: 20
        status:
          $ref: '#/components/schemas/VectorIndexStatus'
          default: not_ready
        status_msg:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Msg
        top_k:
          type: integer
          title: Top K
          default: 10
        extraction_strategy:
          $ref: '#/components/schemas/ExtractionStrategy'
          default: standard
      type: object
      required:
        - name
        - embeddings_model_name
      title: VectorIndex
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WatsonAssistantAuthType:
      type: string
      enum:
        - ICP_IAM
        - IBM_CLOUD_IAM
        - MCSP
        - BEARER_TOKEN
        - <hidden>
      title: WatsonAssistantAuthType
    wo_archer__schema__models__ModelType:
      type: string
      enum:
        - chat
        - chat_vision
        - completion
        - embedding
      title: ModelType
    ModelProvider:
      type: string
      enum:
        - openai
        - anthropic
        - azure-openai
        - azure-ai
        - anyscale
        - cohere
        - cerebras
        - palm
        - google
        - together-ai
        - mistral-ai
        - perplexity-ai
        - stability-ai
        - nomic
        - ollama
        - bedrock
        - ai21
        - groq
        - segmind
        - vertex-ai
        - deepinfra
        - novita-ai
        - fireworks-ai
        - deepseek
        - voyage
        - vllm
        - jina
        - reka-ai
        - moonshot
        - openrouter
        - lingyi
        - zhipu
        - monsterapi
        - predibase
        - huggingface
        - github
        - deepbricks
        - siliconflow
        - workers-ai
        - ibm_bam
        - watsonx
        - mistralai
        - specialized_routing_model
        - product_rag
        - x-ai
      title: ModelProvider
    VectorIndexStatus:
      type: string
      enum:
        - ready
        - not_ready
        - rebuilding
        - error
        - update_pending
      title: VectorIndexStatus
    ExtractionStrategy:
      type: string
      enum:
        - express
        - standard
        - high_quality
      title: ExtractionStrategy
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````